# Release notes for sbmlsim 0.1.14

- Fix #81, feature timecourse concatenation and reuse in timecoursesim

This allows simplified creation of multiple dosing timecourse simulations and reuse
of timecourse definitions in multiple simulations. E.g. repeated timecourse `[tc]*3`

``` 
    simulator = Simulator(MODEL_REPRESSILATOR)
    tc = Timecourse(
                    start=0,
                    end=50,
                    steps=100,
                    changes={"X": 10})

    s = simulator._timecourse(
        simulation=TimecourseSim(
            [tc]*3
        )
    )
```

- Fix #82, bugfix; remove time shift from discarded simulations
- Fix #83, allow empty timecourses in timecoursesim
- Fix #86, dependency update ray>=1.2.0
- Fix #87, weighting by counts in parameter fitting
- Fix #88, bugfix figure closing in parameter fitting
- adding mypy configuration and initial mypy fixes
- many flake8 fixes and type annotations
- Fix #91, support hex colors in plot
- Fix #94, update `xarray>=0.17.0`
